Bug 591835 - Using livecd-creator and repo --cost=0 with local DVD mounted as ISO, and an Everything tree using repo --cost=10 seems to pull all 141 packages from the online repository regardless of cost setting in kickstart for repo directive
Using livecd-creator and repo --cost=0 with local DVD mounted as ISO, and an ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: David Huff
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 06:42 EDT by Jasper O'neal Hartline
Modified: 2010-12-03 09:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:45:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart file with cost defined but not honored (416 bytes, text/plain)
2010-05-13 06:44 EDT, Jasper O'neal Hartline
no flags Details
Using includepkgs also is not honored with livecd-creator (479 bytes, text/plain)
2010-05-13 07:01 EDT, Jasper O'neal Hartline
no flags Details

  None (edit)
Description Jasper O'neal Hartline 2010-05-13 06:42:14 EDT
Description of problem:
Using livecd-creator and repo --cost=0 with local DVD mounted as ISO, and an Everything tree using repo --cost=10 seems to pull all 141 packages from the online repository regardless of cost setting in kickstart for repo directive

Version-Release number of selected component (if applicable):
livecd-tools-031-1.fc12.1.i68

How reproducible:
100%

Steps to Reproduce:
1. Set two repos, one local one remote using --cost=
2. All packages get pulled from network instead of using --cost=
3.
  
Actual results:
180 days, whichever comes first.  Use tune2fs -c or -i to override.
tune2fs 1.41.9 (22-Aug-2009)
Setting maximal mount count to -1
Setting interval between checks to 0 seconds
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/repodata/repomd.xml ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/repodata/01a9150327554e6d65132266f7b065a5d107b4efb7afa78012fa3ffcc6f517e9-primary.sqlite.bz2 ...OK
Retrieving file:///mnt/iso9660/repodata/repomd.xml ...OK
Retrieving file:///mnt/iso9660/repodata/db0c2194ef101e3b00bb8478b9d4d30b31533671601fac52d20623aefe44fcd6-primary.sqlite.bz2 ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/Packages/ConsoleKit-0.4.1-1.fc12.i686.rpm ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/Packages/ConsoleKit-libs-0.4.1-1.fc12.i686.rpm ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/Packages/GConf2-2.28.0-2.fc12.i686.rpm ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/Packages/MAKEDEV-3.24-4.i686.rpm ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/Packages/ModemManager-0.2-3.20090826.fc12.i686.rpm ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/Packages/NetworkManager-0.7.996-6.git20091021.fc12.i686.rpm ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/Packages/NetworkManager-glib-0.7.996-6.git20091021.fc12.i686.rpm ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/Packages/ORBit2-2.14.17-3.fc12.i686.rpm ...OK
Retrieving http://mirror.cogentco.com/pub/linux/fedora/linux/releases/12/Everything/i386/os/Packages/alsa-lib-1.0.21-3.fc12.i686.rpm ...OK
^Z
[1]+  Stopped                 livecd-creator -c /usr/share/doc/livecd-tools-031/livecd-fedora-minimal.ks --logfile=cost.txt
[root@localhost ~]#

Expected results:
Once cost is determined, there shouldn't be packages coming from online which can be retrieved from the DVD. 

Additional info:
Decided to file this under livecd-tools instead of yum, please re-assign to the proper location.
Comment 1 Jasper O'neal Hartline 2010-05-13 06:42:48 EDT
Adding kickstart file with two repositories and cost defined which doesn't work.
Comment 2 Jasper O'neal Hartline 2010-05-13 06:44:14 EDT
Created attachment 413709 [details]
Kickstart file with cost defined but not honored
Comment 3 Jasper O'neal Hartline 2010-05-13 07:00:07 EDT
Using --cost with --includepkgs= also fails to use the local repository to fetch packages from the local repository even when specifying packages explicitly using --includepkgs, believe it is related to syslinux being in the prerequirements for livecd-creator to start building, and when syslinux is found on the network repo, it prioritized that repository regardless of cost setting.

180 days, whichever comes first.  Use tune2fs -c or -i to override.
tune2fs 1.41.9 (22-Aug-2009)
Setting maximal mount count to -1
Setting interval between checks to 0 seconds
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/repodata/repomd.xml ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/repodata/01a9150327554e6d65132266f7b065a5d107b4efb7afa78012fa3ffcc6f517e9-primary.sqlite.bz2 ...OK
Retrieving file:///mnt/iso9660/repodata/repomd.xml ...OK
Retrieving file:///mnt/iso9660/repodata/db0c2194ef101e3b00bb8478b9d4d30b31533671601fac52d20623aefe44fcd6-primary.sqlite.bz2 ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/MAKEDEV-3.24-4.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/audit-libs-2.0.1-1.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/authconfig-5.4.13-1.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/basesystem-10.0-3.noarch.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/bash-4.0.33-1.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/binutils-2.19.51.0.14-34.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/bzip2-1.0.5-6.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/bzip2-libs-1.0.5-6.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/ca-certificates-2009-2.fc12.noarch.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/checkpolicy-2.0.19-3.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/chkconfig-1.3.44-1.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/coreutils-7.6-5.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/coreutils-libs-7.6-5.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/cpio-2.10-3.fc12.i686.rpm ...OK
Retrieving http://mirror.pnl.gov/fedora/linux/releases/12/Everything/i386/os/Packages/cracklib-2.8.13-6.i686.rpm ...OK
^Z
[1]+  Stopped                 livecd-creator -c /usr/share/doc/livecd-tools-031/livecd-fedora-minimal.ks --logfile=cost.txt
[root@localhost ~]#
Comment 4 Jasper O'neal Hartline 2010-05-13 07:01:18 EDT
Created attachment 413714 [details]
Using includepkgs also is not honored with livecd-creator

Kickstart file showing cost and includepacvkages not being honored.
Comment 5 Jasper O'neal Hartline 2010-05-13 08:29:05 EDT
It seems like there are several problems here, and I'll list those:
1) syslinux is only available in an Everything tree, which might make Yum prioritize the online repository over the local one, since it contains a dependency that cannot be found in the local repo. This can have two fixes I see:
1a) put syslinux on teh base DVD, since it is a bootloader - ISOLINUX - which is used by well known and widely used tools like livecd-creator from livecd-tools
1b) Fix yum not to prioritize the online repository just because of syslinux
1c) Try to not require syslinux, use Grub. Doesn't seem plausible even if Grub does work on CDs.

2) Yum or livecd-creator doesn't honor repo --cost= settings regardless if Yum prioritizes or not based on syslinux not being available locally

This means If I as a patch submitter, wants to patch livecd-tools up a bit, then test, patch and test and patch and test and rub and repeat, I can't do it without fetching every single last package from the network, which is slower than using a locally mounted DVD ISO. This also means I must:
1) Have a mirrored Everything tree locally
2) Have a network connection.

The requirements on mirrored Everything tree and network are completely out of the bounds of what we want, in my opinion, for anyone using livecd-tools.
Comment 6 David Riches 2010-05-13 09:02:02 EDT
Same issue with --cost

attempted to substitute --cost with --priority (as per previous versions)

attempted to pass --cost integer in multiples of 10

none of the above successful.

Also I found the cache option to be somewhat flawed. The cache seems to store downloaded rpms specific to a repo, and not a kickstart - which kind of defeats the point of caching imho. So when trying to populate syslinux from the online repository, then killing livecd-creator and restarting with no online repo, livecd-creator will only search the cache for the given repo, and not the whole of the cache directory.
Comment 7 Bug Zapper 2010-11-03 10:58:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 James 2010-11-28 14:22:34 EST
Same problem for me, but the following was ok for me: 

1.Setup

-Fedora 14:
-I use the 'local' plugin of yum
-I put every single package from the DVD into /var/lib/yum/plugins/local/
-I put every package that livecd-creator put earlier in the '--cache'-given directories into /var/lib/yum/plugins/local/ (not everything needed is on DVD)
-(I do yum check-update / yum upgrade and hope the local plugin sees the files)


2. I have the following repos in my .ks:

repo --cost=0 --name=_local         --baseurl=file:/var/lib/yum/plugins/local
repo --name=fedora-updates --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-released-f14&arch=i386
#repo --cost=500 --name=fedora-CD      --baseurl=file:/mnt/ #didn't work for me
repo --cost=50000 --name=fedora         --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-14&arch=i386


3. now:

livecd-creator --cache=cached -c livecd-fedora-minimal+lxde+fuselibs.ks

does something useful for me.


James.


this would be nice:
-yum.repos.d is a cool place for repo definitions
-_always_ get deltas if useful bits are in the '_local' repository
Comment 9 Bug Zapper 2010-12-03 09:45:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.